# RainLoop webmail client

[RainLoop](http://www.rainloop.net/) is a Simple, modern & fast web-based email client.


## Run the container

There are two ways of running the container, it could be either using the
Docker Compose or a classic docker command.

**Docker Compose way**
```
docker-compose up webmail
```

**Classic way**
```
docker run -d --name webmail -p 80:8080/tcp -v rainloop_data:/opt/rainloop/data andrey01/rainloop
```

## Accessing the container

First, access the RainLoop admin page in order to set the admin password, your
domains and configure the rest.

The default user is **admin** and a password is **12345**

**RainLoop admin page**
```
http://hostip/?admin
```

## Stopping the container

**Docker Compose way**
```
docker-compose stop webmail
```

**Classic way**
```
docker stop webmail
```

## Building the image

If you wish, you can build the image by yourself.

```
docker build -t andrey01/rainloop .
```

## Additional notes

The persistent data will be kept in the `rainloop_data` Docker's volume.
So before you delete it, keep in mind that you may want to [back it up](https://docs.docker.com/engine/userguide/containers/dockervolumes/#backup-restore-or-migrate-data-volumes) at the first.
